Subject: Re: bash-function
From: [email-masked] ("$Bill Luebkert")

12 Apr 1997 21:59:18 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (Win95; I)
Original-To: [email-masked]
Original-CC: [email-masked]
Original-Sender: [email-masked]

Do Hung Cuong wrote:
> 
> Hi Folk,
> 
> Because alias under bash does not support parameter passing, I should
> realize this mechanism via a function.
> I put "ll() { ls -lF $1 | more }" in my .bashrc and hope, I can use this
                        ^
Don't you want @ or $ instead of 1?

> function in such a context like "ll -a" or "ll *.C"
> In the second case I got only the first file listed.
> Is this a *-expansion problem ?
> Anyone with some ideas ?

HTH,
-- 
  ,-/-  __      _  _         $Bill Luebkert
 (_/   /  )    // //       DBE Collectibles
  / ) /--<  o // //      http://www.wgn.net/~dbe/
-/-' /___/_<_</_</_    Email: [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".